Bug 18761 - AutomaticItemModificationByAge.t tests are failing
Summary: AutomaticItemModificationByAge.t tests are failing
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-08 17:17 UTC by Jonathan Druart
Modified: 2017-07-31 11:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18761: Fix tests for AutomaticItemModificationByAge.t - clear cache (3.77 KB, patch)
2017-06-08 17:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18761: AutomaticItemModification (3.85 KB, patch)
2017-06-11 05:34 UTC, Lee Jamison
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-06-08 17:17:50 UTC
The cache must be cleared!
Comment 1 Jonathan Druart 2017-06-08 17:20:12 UTC
Created attachment 64113 [details] [review]
Bug 18761: Fix tests for AutomaticItemModificationByAge.t - clear cache

The mapping structure is cached and may be wrong if already populated.
We need to clear the cache when a framework is modified
Comment 2 Jonathan Druart 2017-06-08 17:21:02 UTC
Test plan:
populate the cache before using Koha (edit a biblio), then launch the tests.
Should fail before the patch and pass after applying it.
Comment 3 Lee Jamison 2017-06-11 05:34:55 UTC
Created attachment 64176 [details] [review]
[SIGNED OFF] Bug 18761: AutomaticItemModification

The mapping structure is cached and may be wrong if already populated.
We need to clear the cache when a framework is modified

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Works as described in test plan and passes QA tools.
Comment 4 Jonathan Druart 2017-06-12 13:44:13 UTC
Hi Lee,
Why did you modify the commit message? :)
Comment 5 Jonathan Druart 2017-06-14 17:05:14 UTC
Skipping QA.
Comment 6 Jonathan Druart 2017-06-14 20:39:13 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-06-15 12:36:05 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 8 Katrin Fischer 2017-06-15 20:23:04 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 9 Mason James 2017-07-31 11:24:44 UTC
Pushed to 16.05.x, for 16.05.15 release